Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 721422 - dev-perl/CGI-Simple upstream license inconsistency
Summary: dev-perl/CGI-Simple upstream license inconsistency
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL: https://rt.cpan.org/Ticket/Display.ht...
Whiteboard:
Keywords:
Depends on:
Blocks: perl-license
  Show dependency tree
 
Reported: 2020-05-07 10:03 UTC by Kent Fredric (IRC: kent\n)
Modified: 2020-05-07 11:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2020-05-07 10:03:11 UTC
Top level and most files say "perl5", but some files mix saying "under Artistic 1" and "under the same as Perl5", and others only reference Artistic 1.

Thus, presently Artistic is the only license we can positively say is required.
Comment 1 Larry the Git Cow gentoo-dev 2020-05-07 11:33:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1212602b3e99e3b490c8e00e657105cfe8dc520d

commit 1212602b3e99e3b490c8e00e657105cfe8dc520d
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2020-05-07 11:27:25 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2020-05-07 11:28:27 +0000

    dev-perl/CGI-Simple: Bump to version 1.250.0
    
    - EAPI7
    - Fix license as best I can re bug #721422
    - Parallel tests
    - Remove empty variable assignments and useless/no longer needed
      variables/logic.
    
    Upstream:
    - Don't attempt to decode PUTDATA or POSTDATA if utf8 or NO_NULL is set
    - Add SameSite support to Cookie handling
    - Fix handling of max-age attribute in constructor
    - Correct string value of "Found" for 302 responses as per RFC 2616
    - Avoid warnings in STORE
    - Add samesite parameter to ->cookie(...)
    
    Bug: https://bugs.gentoo.org/721422
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 dev-perl/CGI-Simple/CGI-Simple-1.250.0.ebuild | 30 +++++++++++++++++++++++++++
 dev-perl/CGI-Simple/Manifest                  |  1 +
 2 files changed, 31 insertions(+)